#120 Failure to connect to any server: "nKillHim Signal caught"

CVS
closed-works-for-me
networking (25)
5
2005-02-26
2003-12-21
Fred
No

I have armagetron on my linux computer, RH9 to be
exact. I have downloaded several versions of the source
to armagetron, 0.2.5.2, 0.2.6.0, CVS, but no matter
which version when I try to connect to the master
server or to a server with the Custom Connect menu I
get an error as follows on the screen:

Tank Program created a new team.
Connection to master server...
Login information sent. Waiting for reply.
-1:Peer Claims to be user 20864 (32.32.32.32:28704),
but is user 0 (192.168.0.1:53).
nKillHim signal caught.
Killing user 0, ping 1.
Logging out...
-1:Peer Claims to be user 20864 (32.32.32.32:28704),
but is user 0 (192.168.0.1:53).
nKillHim signal caught.
Done!
Tank Program left the game.

Then it goes on to repeat and then tell me it couldn't
reach the master server. What's up with this? I think I
remember having armagetron work here on this comp once,
but it doesn't now... And I've tried a precompiled
binary but I get a libpng error of somesort... Just
ignore that error. I can do single player just fine,
but I don't like being dependent on my windows box for
Armagetron...

Discussion

  • Fred

    Fred - 2003-12-22

    Logged In: YES
    user_id=846982

    I'd also like to point out that I don't have a soundcard in
    this system. And, I tried running Armagetron in Wine, and it
    just dies when you try to connect to an iternet
    server/master server. I may just have to stick a soundcard
    in and see if it works then.

     
  • Manuel Moos

    Manuel Moos - 2005-02-26

    Logged In: YES
    user_id=34808

    I think those were wrong error handling lines in
    nNetwork.cpp in conjunction with corrupted packages, but I
    am not sure. I'll mark this bug as pending for now, we can
    reopen it if it appears again.
    The fix attempt will be in AA 0.2.7.1.

     
  • Manuel Moos

    Manuel Moos - 2005-02-26
    • status: open --> closed-works-for-me
     

Log in to post a comment.